<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
  <div>
    <div v-if="data !== null && data.text !== undefined">
      <v-snackbar
        key="0"
        centered
        light
        v-model="show"
        :color="data.color || 'default'"
        :timeout="5000"
        :top="true"
        width="100%"
        height="75"
        :multi-line="60 < data.text.length"
      >
        <span class="font-weight-regular">
          {{ data.text }}
        </span>

        <template v-slot:action="{ attrs }">
          <v-icon v-bind="attrs" @click="show = false">mdi-close</v-icon>
        </template>
      </v-snackbar>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  props: {},
  data() {
    return {
      loading: false,
      show: true,
    };
  },
  computed: {
    ...mapGetters({
      data_: "messages/data",
    }),
    data() {
      return this.$store.state.messages.data;
    },
  },
  watch: {
    "$store.state.messages.data": function () {
      this.show = true;
    },
  },
  methods: {},
};
</script>

<style>
.snack-border {
  border: 1px solid #388e3c !important;
}
</style>
